FROM quay.io/quarkus/ubi9-quarkus-micro-image:2.0
RUN mkdir -p /work
ENV TZ="America/Caracas"
ENV LANGUAGE='en_US:en'
VOLUME /tmp
COPY /file/*-runner /work/recCustomerAccounts
RUN chmod -R 775 /work
RUN ls -ltra /work/
EXPOSE 8080
WORKDIR /work/

ENTRYPOINT ["./recCustomerAccounts", "-Dquarkus.http.host=0.0.0.0"]